QGIS Application - Bug report #21538

QGIS 3.6 crashes when setting elevation layer in QGIS 3D

2019-03-09 10:46 PM - Jeremy Palmer

Status: Closed
Priority: High
Assignee: Martin Dobias
Category: 3D

Affected QGIS version:3.6.0
Operating System: macOS
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29354

Description

Occurs when | have this WMTS (https://tiles.maps.linz.io/nz_aerialimagery _basemap/WMTSCapabilities.xml) and this DEM layer (

https://www.dropbox.com/s/2grin1znioly22t/Ids-tile-ll-GTiff.zip?dl=1) added to the project. When I launch the 3D view it's ok, but when |

try to set the elevation layer in the 3D config and select ok it crashes QGIS. No other default QGIS 3D setting were changed.

Using the NZTM WMTS tilematrix and EPSG:2193 as the canvas projection.

See stack trace on MacOS https://gist.github.com/palmerj/b645e4ccd4595a6f3be21affca7eb969

Associated revisions

Revision 4a6151ab - 2019-03-10 07:16 PM - Martin Dobias

[3d] fix crash when switching terrain generator (fixes #21538)

The problem was introduced in PR #8828 when fixing issue #20963

This fix immediately deletes terrain entity on generator change

and informs other code about that + identify map tool is now aware

of the fact that terrain entity may be temporarily null.

Revision 8e9250a0 - 2019-03-10 07:16 PM - Martin Dobias

[3d] fix crash when switching terrain generator (fixes #21538)

The problem was introduced in PR #8828 when fixing issue #20963

This fix immediately deletes terrain entity on generator change

and informs other code about that + identify map tool is now aware

of the fact that terrain entity may be temporarily null.

Revision bdcacd71 - 2019-03-10 10:44 PM - Martin Dobias

Merge pull request #9465 from wonder-sk/fix-terrain-change-crash

[3d] fix crash when switching terrain generator (fixes #21538)
https://tiles.maps.linz.io/nz_aerialimagery_basemap/WMTSCapabilities.xml
https://www.dropbox.com/s/2qrln1znioly22t/lds-tile-ll-GTiff.zip?dl=1
https://gist.github.com/palmerj/b645e4ccd4595a6f3be21affca7eb969

Revision 56e98f2b - 2019-03-11 12:01 AM - Martin Dobias

[3d] fix crash when switching terrain generator (fixes #21538)

The problem was introduced in PR #8828 when fixing issue #20963
This fix immediately deletes terrain entity on generator change

and informs other code about that + identify map tool is now aware
of the fact that terrain entity may be temporarily null.

Revision bb7ac8f0 - 2019-03-11 12:09 AM - Martin Dobias

[3d] fix crash when switching terrain generator (fixes #21538)

The problem was introduced in PR #8828 when fixing issue #20963
This fix immediately deletes terrain entity on generator change

and informs other code about that + identify map tool is now aware

of the fact that terrain entity may be temporarily null.

(cherry picked from commit 4a6151ab481322b44fe4b02e19009835e714e528)

History

#1 - 2019-03-10 12:25 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes
- Operating System changed from MacOSX to macOS

- Priority changed from Normal to High

#2 - 2019-03-10 10:44 PM - Martin Dobias
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|4a6151ab481322b44fe4b02e190b9835e714e528.
